diff -u abcde-2.1.4/abcde abcde-2.1.4-he/abcde
--- abcde-2.1.4/abcde	2003-05-18 21:01:13.000000000 +0200
+++ abcde-2.1.4-he/abcde	2003-05-22 19:09:15.000000000 +0200
@@ -500,7 +500,8 @@
 # do_playlist
 # Create the playlist if wanted
 # Variables used:
-# PLAYLISTFORMAT, PLAYLISTDATAPREFIX, OUTPUTDIR,
+# PLAYLISTFORMAT, PLAYLISTDATAPREFIX, VAPLAYLISTFORMAT, VAPLAYLISTDATAPREFIX,
+# VARIOUSARTISTS, OUTPUTDIR
 do_playlist ()
 {
 for OUTPUT in $(echo $OUTPUTTYPE | tr , \ )
@@ -516,7 +517,13 @@
 	fi
 	ALBUMFILE=$(mungefilename "$DALBUM")
 	ARTISTFILE=$(mungefilename "$DARTIST")
-	PLAYLISTFILE=$(eval echo $PLAYLISTFORMAT)
+
+	if [ "$VARIOUSARTISTS" = "y" ] ; then
+		PLAYLISTFILE=$(eval echo $VAPLAYLISTFORMAT)
+	else
+		PLAYLISTFILE=$(eval echo $PLAYLISTFORMAT)
+	fi
+
 	FINALPLAYLISTDIR=$(dirname "$OUTPUTDIR/$PLAYLISTFILE")
 	mkdir -p "$FINALPLAYLISTDIR"
 	rm -f "$OUTPUTDIR/$PLAYLISTFILE"
@@ -531,23 +538,19 @@
 		ARTISTFILE=$(mungefilename "$TRACKARTIST")
 		TRACKNUM=$(printf %0.${TRACKNUMPADDING}d $(expr ${UTRACKNUM} + 0 ))
 		if [ "$VARIOUSARTISTS" = "y" ]; then
-			OUTPUTFILE=$(eval echo $VAOUTPUTFORMAT)
+			OUTPUTFILE=$(eval echo $VAOUTPUTFORMAT)                        
 		else
 			OUTPUTFILE=$(eval echo $OUTPUTFORMAT)
 		fi
 
-#514c519,521
-#<                       echo -n $PLAYLISTDATAPREFIX >> "$OUTPUTDIR/$PLAYLISTFILE"
-#---
-#>                       echo "$PLAYLISTDATAPREFIX$OUTPUTFILE" >> "$OUTPUTDIR/$PLAYLISTFILE"
-#>               else
-#>                   relpath "$PLAYLISTFILE", "$OUTPUTFILE" >> "$OUTPUTDIR/$PLAYLISTFILE"
-#516d522
-#<               relpath "$PLAYLISTFILE", "$OUTPUTFILE.$OUTPUT" >> "$OUTPUTDIR/$PLAYLISTFILE"
-
-
-		if [ "$PLAYLISTDATAPREFIX" ]; then
-			echo -n $PLAYLISTDATAPREFIX >> "$OUTPUTDIR/$PLAYLISTFILE"
+		if [ "$VARIOUSARTISTS" = "y" ]; then
+			if [ "$VAPLAYLISTDATAPREFIX" ] ; then
+				echo -n $VAPLAYLISTDATAPREFIX >> "$OUTPUTDIR/$PLAYLISTFILE"
+			fi
+		else
+			if [ "$PLAYLISTDATAPREFIX" ] ; then
+				echo -n $PLAYLISTDATAPREFIX >> "$OUTPUTDIR/$PLAYLISTFILE"
+			fi
 		fi
 		relpath "$PLAYLISTFILE", "$OUTPUTFILE.$OUTPUT" >> "$OUTPUTDIR/$PLAYLISTFILE"
 	done
@@ -621,10 +624,10 @@
 		fi
 		echo -n .
 		# It's a directory, let's see if it's owned by us
-		if [ ! -O "$ABCDETEMPDIR" ]; then
+		if [ ! -w "$ABCDETEMPDIR" ]; then
 			# Nope, complain and exit
 			echo >&2
-			echo "abcde: directory $ABCDETEMPDIR already exists and is not owned by you." >&2
+			echo "abcde: directory $ABCDETEMPDIR already exists and is not writeable by you." >&2
 			echo "Please investigate, remove it, and rerun abcde." >&2
 			exit 1
 		fi
@@ -1137,6 +1140,8 @@
 VAOUTPUTFORMAT='Various-${ALBUMFILE}/${TRACKNUM}.${ARTISTFILE}-${TRACKFILE}'
 PLAYLISTFORMAT='${ARTISTFILE}-${ALBUMFILE}.${OUTPUT}.m3u'
 PLAYLISTDATAPREFIX=''
+VAPLAYLISTFORMAT='${ARTISTFILE}-${ALBUMFILE}.${OUTPUT}.m3u'
+VAPLAYLISTDATAPREFIX=''
 COMMENT=''
 ID3TAGV=2
 ENCNICE=10
diff -u abcde-2.1.4/abcde.conf abcde-2.1.4-he/abcde.conf
--- abcde-2.1.4/abcde.conf	2003-05-18 21:01:08.000000000 +0200
+++ abcde-2.1.4-he/abcde.conf	2003-05-22 19:09:15.000000000 +0200
@@ -168,6 +168,10 @@
 # string (such as 'http://you/yourstuff/'), use this option
 #PLAYLISTDATAPREFIX=''
 
+#Like PLAYLIST{FORMAT,DATAPREFIX} but for Various Artists discs:
+#VAPLAYLISTFORMAT='${ARTISTFILE}-${ALBUMFILE}.${OUTPUT}.m3u'
+#VAPLAYLISTDATAPREFIX=''
+
 # Custom filename munging:
 # By default, abcde will do the following to CDDB data to get a useful
 # filename:
